import {MaterialType} from './materialtype.model';
import {openPdf} from '../utils/utils'

export class Material {
  constructor(
    public id: number,
    public name: string,
    public inventoryQuantity: number,
    public materialType: MaterialType,
    public simdutUrl: string
  ) {
  }
}

export function openSimdut(material: Material) {
  openPdf(material.simdutUrl)
}

export const materialComparator = (a: Material, b: Material): number => {
  const aPrefixName = a.materialType.prefix.toLowerCase()
  const bPrefixName = b.materialType.prefix.toLowerCase()

  if (aPrefixName < bPrefixName) {
    return -1
  } else if (aPrefixName > bPrefixName) {
    return 1
  } else {
    const aName = a.name.toLowerCase()
    const bName = b.name.toLowerCase()

    if (aName < bName) {
      return -1
    } else if (aName > bName) {
      return 1
    } else {
      return 0
    }
  }
}
